Loading...
Searching...
No Matches
projection_impl.hh File Reference
`#include <dune/common/fmatrix.hh>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::GridGlue
namespace | Dune::GridGlue::ProjectionImplementation

## Functions

template<typename Coordinate, typename Field>
Coordinate | Dune::GridGlue::ProjectionImplementation::corner (unsigned c)
std::pair< unsigned, unsigned > | Dune::GridGlue::ProjectionImplementation::edgeToCorners (unsigned edge)
template<typename Coordinate, typename Corners>
Corners::value_type | Dune::GridGlue::ProjectionImplementation::interpolate (const Coordinate &x, const Corners &corners)
template<typename Coordinate, typename Normals>
Normals::value_type | Dune::GridGlue::ProjectionImplementation::interpolate_unit_normals (const Coordinate &x, const Normals &normals)
template<typename Coordinate, typename Field>
bool | Dune::GridGlue::ProjectionImplementation::inside (const Coordinate &x, const Field &epsilon)